/******************************************************************************
 *                                                                            *
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************
 * Originally developed and contributed by Ittiam Systems Pvt. Ltd, Bangalore
 */

#pragma once
struct ixheaace_mps_dc_filter {
  FLOAT32 exp_c;
  FLOAT32 state;
};

typedef struct ixheaace_mps_dc_filter ixheaace_mps_dc_filter, *ixheaace_mps_pstr_dc_filter;

VOID ixheaace_mps_212_init_dc_filter(ixheaace_mps_pstr_dc_filter pstr_dc_filter,
                                     const UWORD32 sample_rate);

VOID ixheaace_mps_212_apply_dc_filter(ixheaace_mps_pstr_dc_filter pstr_dc_filter,
                                      const FLOAT32 *const signal_in, FLOAT32 *const signal_out,
                                      const WORD32 signal_length);
